#!/bin/sh
set -eu

case $1 in
  install)
    for i in $(cat /usr/src/nextcloud/config/apps_enable)
        do
            app=$(echo $i | cut -d '=' -f1)
            version=$(echo $i | cut -d '=' -f2)
            url=$(echo $i | cut -d '=' -f3)
            echo "downloading app $app"
            curl -Ls $url -o $app.tar.gz
            tar xzf $app.tar.gz
            mv $app /usr/src/nextcloud/custom_apps
            rm $app.tar.gz
        done;;
  enable)
    for app in $(cat /usr/src/nextcloud/config/apps_remove)
        do
            echo "removing app $app"
            rm -R /usr/src/nextcloud/apps/$app
        done;;
  remove)
    for app in $(cat /usr/src/nextcloud/config/apps_remove)
        do
            echo "removing app $app"
            rm -R /usr/src/nextcloud/apps/$app
        done;;
  *)
        echo "unknown arg $1"
        exit 1;;
esac